<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Log.html">Log</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Log Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Log.html">Ogre::Log</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a4af71adcded1cde866f7163855c509cc">addListener</a>(LogListener *listener)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a69b305f436e85b592fcd34d5b6ee349f">getLogDetail</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a2d0c4e75fffdb5253da3f77a29616299">getName</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a28325483f288f968165ba60866b53fb7">isDebugOutputEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ac6e9cc4e56ce4ead8df405d4769a9cae">isFileOutputSuppressed</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a755c97c132bd7eada069fc49d665e58a">isTimeStampEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a3aff6b56352d8bc30c568c5bdffb2919">Log</a>(const String &amp;name, bool debugOutput=true, bool suppressFileOutput=false)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a41ad772d673872b2bbbf87f1f7c52eca">logMessage</a>(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a8896298fa5bdf39d3f934dcf2114807c">mDebugOut</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ab857a5ace7e3d4443c8843d627a56236">mListeners</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a573b927fee60e2a8e6f814811c61f4a0">mLog</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#aba7baa59f25ba35881b3aa76f2bb5abe">mLogLevel</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#aec421acbf213e4363fec4d616d7045e9">mLogName</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a5b32d16e927bede371262a2c1765c4c1">mSuppressFile</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a9808e1b5fc37bd14d1c5cbe644cfce4b">mTimeStamp</a></td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#afff9dd56a91b94b6d174d112f06fa9e1">mtLogListener</a> typedef</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a84bf292947fed5a3760a78c391f0484c">removeListener</a>(LogListener *listener)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ac374d185fe0498956e466f21916679d8">setDebugOutputEnabled</a>(bool debugOutput)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a754bd94c0f311c333bf0eb4ae9bcdf8d">setLogDetail</a>(LoggingLevel ll)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a5fe96f6c6a32e8b80ce1af53d37bf2a9">setTimeStampEnabled</a>(bool timeStamp)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#ad8296f1f29dbc5ba46188264fce84c4a">stream</a>(LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Log.html#a7d36bb9b3f6f6890dd78ae503b6ce349">~Log</a>()</td><td><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
